Bug 19749 - [QT3] incorrect result for cbcl-deep-equal-008
Summary: [QT3] incorrect result for cbcl-deep-equal-008
Status: CLOSED FIXED
Alias: None
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite (show other bugs)
Version: Last Call drafts
Hardware: PC Windows XP
: P2 normal
Target Milestone: ---
Assignee: Tim Mills
QA Contact: Mailing list for public feedback on specs from XSL and XML Query WGs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-28 18:26 UTC by Andrew Eisenberg
Modified: 2012-10-31 09:24 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Eisenberg 2012-10-28 18:26:48 UTC
Test case cbcl-deep-equal-008 expects true for the query:

  deep-equal((xs:untypedAtomic("a"), xs:untypedAtomic("P12M"), 2.0),
             (xs:untypedAtomic("a"), xs:yearMonthDuration("P1Y"),
              xs:untypedAtomic(" 2")))

deep-equal requires pairs of atomic values to be be equal to each other using eq. This is not the case for xs:untypedAtomic("P12M") and xs:yearMonthDuration("P1Y"). eq treats "P12M" as a string, which is not comparable to a duration.
Comment 1 Tim Mills 2012-10-30 10:57:59 UTC
Now corrected.

Please mark as CLOSED if you agree with the resolution.  Otherwise, REOPEN.